Imported Upstream version 1.8.1
[platform/upstream/harfbuzz.git] / test / shaping / data / in-house / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/arabic-fallback-shaping.tests \
93         tests/arabic-feature-order.tests \
94         tests/arabic-like-joining.tests tests/arabic-mark-order.tests \
95         tests/arabic-stch.tests tests/automatic-fractions.tests \
96         tests/cluster.tests tests/color-fonts.tests \
97         tests/context-matching.tests tests/cursive-positioning.tests \
98         tests/default-ignorables.tests tests/emoji-flag-tags.tests \
99         tests/fallback-positioning.tests tests/fuzzed.tests \
100         tests/hangul-jamo.tests tests/hyphens.tests \
101         tests/indic-consonant-with-stacker.tests \
102         tests/indic-decompose.tests tests/indic-init.tests \
103         tests/indic-joiner-candrabindu.tests tests/indic-joiners.tests \
104         tests/indic-old-spec.tests tests/indic-pref-blocking.tests \
105         tests/indic-script-extensions.tests \
106         tests/indic-special-cases.tests tests/indic-syllable.tests \
107         tests/language-tags.tests tests/ligature-id.tests \
108         tests/mark-attachment.tests tests/mark-filtering-sets.tests \
109         tests/mongolian-variation-selector.tests \
110         tests/myanmar-syllable.tests tests/none-directional.tests \
111         tests/spaces.tests tests/simple.tests tests/sinhala.tests \
112         tests/tibetan-contractions-1.tests \
113         tests/tibetan-contractions-2.tests tests/tibetan-vowels.tests \
114         tests/use.tests tests/use-marchen.tests \
115         tests/use-syllable.tests tests/variations-rvrn.tests \
116         tests/vertical.tests tests/zero-width-marks.tests \
117         $(am__EXEEXT_1)
118 subdir = test/shaping/data/in-house
119 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
120 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
121         $(top_srcdir)/m4/ax_code_coverage.m4 \
122         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
123         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
124         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
125         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
126         $(top_srcdir)/configure.ac
127 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
128         $(ACLOCAL_M4)
129 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
130 mkinstalldirs = $(install_sh) -d
131 CONFIG_HEADER = $(top_builddir)/config.h
132 CONFIG_CLEAN_FILES =
133 CONFIG_CLEAN_VPATH_FILES =
134 AM_V_P = $(am__v_P_@AM_V@)
135 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
136 am__v_P_0 = false
137 am__v_P_1 = :
138 AM_V_GEN = $(am__v_GEN_@AM_V@)
139 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
140 am__v_GEN_0 = @echo "  GEN     " $@;
141 am__v_GEN_1 = 
142 AM_V_at = $(am__v_at_@AM_V@)
143 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
144 am__v_at_0 = @
145 am__v_at_1 = 
146 SOURCES =
147 DIST_SOURCES =
148 am__can_run_installinfo = \
149   case $$AM_UPDATE_INFO_DIR in \
150     n|no|NO) false;; \
151     *) (install-info --version) >/dev/null 2>&1;; \
152   esac
153 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
154 am__tty_colors_dummy = \
155   mgn= red= grn= lgn= blu= brg= std=; \
156   am__color_tests=no
157 am__tty_colors = { \
158   $(am__tty_colors_dummy); \
159   if test "X$(AM_COLOR_TESTS)" = Xno; then \
160     am__color_tests=no; \
161   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
162     am__color_tests=yes; \
163   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
164     am__color_tests=yes; \
165   fi; \
166   if test $$am__color_tests = yes; then \
167     red='\e[0;31m'; \
168     grn='\e[0;32m'; \
169     lgn='\e[1;32m'; \
170     blu='\e[1;34m'; \
171     mgn='\e[0;35m'; \
172     brg='\e[1m'; \
173     std='\e[m'; \
174   fi; \
175 }
176 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
177 am__vpath_adj = case $$p in \
178     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
179     *) f=$$p;; \
180   esac;
181 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
182 am__install_max = 40
183 am__nobase_strip_setup = \
184   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
185 am__nobase_strip = \
186   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
187 am__nobase_list = $(am__nobase_strip_setup); \
188   for p in $$list; do echo "$$p $$p"; done | \
189   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
190   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
191     if (++n[$$2] == $(am__install_max)) \
192       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
193     END { for (dir in files) print dir, files[dir] }'
194 am__base_list = \
195   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
196   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
197 am__uninstall_files_from_dir = { \
198   test -z "$$files" \
199     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
200     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
201          $(am__cd) "$$dir" && rm -f $$files; }; \
202   }
203 am__recheck_rx = ^[     ]*:recheck:[    ]*
204 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
205 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
206 # A command that, given a newline-separated list of test names on the
207 # standard input, print the name of the tests that are to be re-run
208 # upon "make recheck".
209 am__list_recheck_tests = $(AWK) '{ \
210   recheck = 1; \
211   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
212     { \
213       if (rc < 0) \
214         { \
215           if ((getline line2 < ($$0 ".log")) < 0) \
216             recheck = 0; \
217           break; \
218         } \
219       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
220         { \
221           recheck = 0; \
222           break; \
223         } \
224       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
225         { \
226           break; \
227         } \
228     }; \
229   if (recheck) \
230     print $$0; \
231   close ($$0 ".trs"); \
232   close ($$0 ".log"); \
233 }'
234 # A command that, given a newline-separated list of test names on the
235 # standard input, create the global log from their .trs and .log files.
236 am__create_global_log = $(AWK) ' \
237 function fatal(msg) \
238 { \
239   print "fatal: making $@: " msg | "cat >&2"; \
240   exit 1; \
241 } \
242 function rst_section(header) \
243 { \
244   print header; \
245   len = length(header); \
246   for (i = 1; i <= len; i = i + 1) \
247     printf "="; \
248   printf "\n\n"; \
249 } \
250 { \
251   copy_in_global_log = 1; \
252   global_test_result = "RUN"; \
253   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
254     { \
255       if (rc < 0) \
256          fatal("failed to read from " $$0 ".trs"); \
257       if (line ~ /$(am__global_test_result_rx)/) \
258         { \
259           sub("$(am__global_test_result_rx)", "", line); \
260           sub("[        ]*$$", "", line); \
261           global_test_result = line; \
262         } \
263       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
264         copy_in_global_log = 0; \
265     }; \
266   if (copy_in_global_log) \
267     { \
268       rst_section(global_test_result ": " $$0); \
269       while ((rc = (getline line < ($$0 ".log"))) != 0) \
270       { \
271         if (rc < 0) \
272           fatal("failed to read from " $$0 ".log"); \
273         print line; \
274       }; \
275       printf "\n"; \
276     }; \
277   close ($$0 ".trs"); \
278   close ($$0 ".log"); \
279 }'
280 # Restructured Text title.
281 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
282 # Solaris 10 'make', and several other traditional 'make' implementations,
283 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
284 # by disabling -e (using the XSI extension "set +e") if it's set.
285 am__sh_e_setup = case $$- in *e*) set +e;; esac
286 # Default flags passed to test drivers.
287 am__common_driver_flags = \
288   --color-tests "$$am__color_tests" \
289   --enable-hard-errors "$$am__enable_hard_errors" \
290   --expect-failure "$$am__expect_failure"
291 # To be inserted before the command running the test.  Creates the
292 # directory for the log if needed.  Stores in $dir the directory
293 # containing $f, in $tst the test, in $log the log.  Executes the
294 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
295 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
296 # will run the test scripts (or their associated LOG_COMPILER, if
297 # thy have one).
298 am__check_pre = \
299 $(am__sh_e_setup);                                      \
300 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
301 $(am__tty_colors);                                      \
302 srcdir=$(srcdir); export srcdir;                        \
303 case "$@" in                                            \
304   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
305     *) am__odir=.;;                                     \
306 esac;                                                   \
307 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
308   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
309 if test -f "./$$f"; then dir=./;                        \
310 elif test -f "$$f"; then dir=;                          \
311 else dir="$(srcdir)/"; fi;                              \
312 tst=$$dir$$f; log='$@';                                 \
313 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
314   am__enable_hard_errors=no;                            \
315 else                                                    \
316   am__enable_hard_errors=yes;                           \
317 fi;                                                     \
318 case " $(XFAIL_TESTS) " in                              \
319   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
320     am__expect_failure=yes;;                            \
321   *)                                                    \
322     am__expect_failure=no;;                             \
323 esac;                                                   \
324 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
325 # A shell command to get the names of the tests scripts with any registered
326 # extension removed (i.e., equivalently, the names of the test logs, with
327 # the '.log' extension removed).  The result is saved in the shell variable
328 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
329 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
330 # since that might cause problem with VPATH rewrites for suffix-less tests.
331 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
332 am__set_TESTS_bases = \
333   bases='$(TEST_LOGS)'; \
334   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
335   bases=`echo $$bases`
336 RECHECK_LOGS = $(TEST_LOGS)
337 AM_RECURSIVE_TARGETS = check recheck
338 am__EXEEXT_1 =
339 TEST_SUITE_LOG = test-suite.log
340 am__test_logs1 = $(TESTS:=.log)
341 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
342 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
343 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
344 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
345         $(TESTS_LOG_FLAGS)
346 am__set_b = \
347   case '$@' in \
348     */*) \
349       case '$*' in \
350         */*) b='$*';; \
351           *) b=`echo '$@' | sed 's/\.log$$//'`; \
352        esac;; \
353     *) \
354       b='$*';; \
355   esac
356 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
357         $(top_srcdir)/test-driver COPYING
358 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
359 ACLOCAL = @ACLOCAL@
360 AMTAR = @AMTAR@
361 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
362 AR = @AR@
363 AUTOCONF = @AUTOCONF@
364 AUTOHEADER = @AUTOHEADER@
365 AUTOMAKE = @AUTOMAKE@
366 AWK = @AWK@
367 CAIRO_CFLAGS = @CAIRO_CFLAGS@
368 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
369 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
370 CAIRO_LIBS = @CAIRO_LIBS@
371 CC = @CC@
372 CCDEPMODE = @CCDEPMODE@
373 CFLAGS = @CFLAGS@
374 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
375 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
376 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
377 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
378 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
379 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
380 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
381 CORETEXT_LIBS = @CORETEXT_LIBS@
382 CPP = @CPP@
383 CPPFLAGS = @CPPFLAGS@
384 CXX = @CXX@
385 CXXCPP = @CXXCPP@
386 CXXDEPMODE = @CXXDEPMODE@
387 CXXFLAGS = @CXXFLAGS@
388 CYGPATH_W = @CYGPATH_W@
389 DEFS = @DEFS@
390 DEPDIR = @DEPDIR@
391 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
392 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
393 DLLTOOL = @DLLTOOL@
394 DSYMUTIL = @DSYMUTIL@
395 DUMPBIN = @DUMPBIN@
396 ECHO_C = @ECHO_C@
397 ECHO_N = @ECHO_N@
398 ECHO_T = @ECHO_T@
399 EGREP = @EGREP@
400 EXEEXT = @EXEEXT@
401 FGREP = @FGREP@
402 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
403 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
404 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
405 FREETYPE_DEPS = @FREETYPE_DEPS@
406 FREETYPE_LIBS = @FREETYPE_LIBS@
407 GCOV = @GCOV@
408 GENHTML = @GENHTML@
409 GIT = @GIT@
410 GLIB_CFLAGS = @GLIB_CFLAGS@
411 GLIB_DEPS = @GLIB_DEPS@
412 GLIB_LIBS = @GLIB_LIBS@
413 GLIB_MKENUMS = @GLIB_MKENUMS@
414 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
415 GOBJECT_LIBS = @GOBJECT_LIBS@
416 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
417 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
418 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
419 GREP = @GREP@
420 GTKDOC_CHECK = @GTKDOC_CHECK@
421 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
422 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
423 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
424 GTKDOC_MKPDF = @GTKDOC_MKPDF@
425 GTKDOC_REBASE = @GTKDOC_REBASE@
426 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
427 HB_VERSION = @HB_VERSION@
428 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
429 HB_VERSION_MICRO = @HB_VERSION_MICRO@
430 HB_VERSION_MINOR = @HB_VERSION_MINOR@
431 HTML_DIR = @HTML_DIR@
432 ICU_CFLAGS = @ICU_CFLAGS@
433 ICU_CONFIG = @ICU_CONFIG@
434 ICU_LIBS = @ICU_LIBS@
435 INSTALL = @INSTALL@
436 INSTALL_DATA = @INSTALL_DATA@
437 INSTALL_PROGRAM = @INSTALL_PROGRAM@
438 INSTALL_SCRIPT = @INSTALL_SCRIPT@
439 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
440 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
441 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
442 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
443 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
444 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
445 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
446 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
447 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
448 LCOV = @LCOV@
449 LD = @LD@
450 LDFLAGS = @LDFLAGS@
451 LIBOBJS = @LIBOBJS@
452 LIBS = @LIBS@
453 LIBTOOL = @LIBTOOL@
454 LIPO = @LIPO@
455 LN_S = @LN_S@
456 LTLIBOBJS = @LTLIBOBJS@
457 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
458 MAKEINFO = @MAKEINFO@
459 MANIFEST_TOOL = @MANIFEST_TOOL@
460 MKDIR_P = @MKDIR_P@
461 NM = @NM@
462 NMEDIT = @NMEDIT@
463 OBJDUMP = @OBJDUMP@
464 OBJEXT = @OBJEXT@
465 OTOOL = @OTOOL@
466 OTOOL64 = @OTOOL64@
467 PACKAGE = @PACKAGE@
468 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
469 PACKAGE_NAME = @PACKAGE_NAME@
470 PACKAGE_STRING = @PACKAGE_STRING@
471 PACKAGE_TARNAME = @PACKAGE_TARNAME@
472 PACKAGE_URL = @PACKAGE_URL@
473 PACKAGE_VERSION = @PACKAGE_VERSION@
474 PATH_SEPARATOR = @PATH_SEPARATOR@
475 PKG_CONFIG = @PKG_CONFIG@
476 PTHREAD_CC = @PTHREAD_CC@
477 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
478 PTHREAD_LIBS = @PTHREAD_LIBS@
479 RAGEL = @RAGEL@
480 RANLIB = @RANLIB@
481 SED = @SED@
482 SET_MAKE = @SET_MAKE@
483 SHELL = @SHELL@
484 STRIP = @STRIP@
485 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
486 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
487 VERSION = @VERSION@
488 abs_builddir = @abs_builddir@
489 abs_srcdir = @abs_srcdir@
490 abs_top_builddir = @abs_top_builddir@
491 abs_top_srcdir = @abs_top_srcdir@
492 ac_ct_AR = @ac_ct_AR@
493 ac_ct_CC = @ac_ct_CC@
494 ac_ct_CXX = @ac_ct_CXX@
495 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
496 am__include = @am__include@
497 am__leading_dot = @am__leading_dot@
498 am__quote = @am__quote@
499 am__tar = @am__tar@
500 am__untar = @am__untar@
501 ax_pthread_config = @ax_pthread_config@
502 bindir = @bindir@
503 build = @build@
504 build_alias = @build_alias@
505 build_cpu = @build_cpu@
506 build_os = @build_os@
507 build_vendor = @build_vendor@
508 builddir = @builddir@
509 datadir = @datadir@
510 datarootdir = @datarootdir@
511 docdir = @docdir@
512 dvidir = @dvidir@
513 exec_prefix = @exec_prefix@
514 have_gobject = @have_gobject@
515 host = @host@
516 host_alias = @host_alias@
517 host_cpu = @host_cpu@
518 host_os = @host_os@
519 host_vendor = @host_vendor@
520 htmldir = @htmldir@
521 includedir = @includedir@
522 infodir = @infodir@
523 install_sh = @install_sh@
524 libdir = @libdir@
525 libexecdir = @libexecdir@
526 localedir = @localedir@
527 localstatedir = @localstatedir@
528 mandir = @mandir@
529 mkdir_p = @mkdir_p@
530 oldincludedir = @oldincludedir@
531 pdfdir = @pdfdir@
532 prefix = @prefix@
533 program_transform_name = @program_transform_name@
534 psdir = @psdir@
535 runstatedir = @runstatedir@
536 sbindir = @sbindir@
537 sharedstatedir = @sharedstatedir@
538 srcdir = @srcdir@
539 sysconfdir = @sysconfdir@
540 target_alias = @target_alias@
541 top_build_prefix = @top_build_prefix@
542 top_builddir = @top_builddir@
543 top_srcdir = @top_srcdir@
544 NULL = 
545 EXTRA_DIST = \
546         COPYING \
547         fonts \
548         $(TESTS) \
549         $(NULL)
550
551 TEST_EXTENSIONS = .tests
552 TESTS_LOG_COMPILER = $(srcdir)/../../run-tests.py $(top_builddir)/util/hb-shape$(EXEEXT)
553 DISABLED_TESTS = \
554         $(NULL)
555
556 all: all-am
557
558 .SUFFIXES:
559 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
560 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
561         @for dep in $?; do \
562           case '$(am__configure_deps)' in \
563             *$$dep*) \
564               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
565                 && { if test -f $@; then exit 0; else break; fi; }; \
566               exit 1;; \
567           esac; \
568         done; \
569         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/data/in-house/Makefile'; \
570         $(am__cd) $(top_srcdir) && \
571           $(AUTOMAKE) --gnits test/shaping/data/in-house/Makefile
572 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
573         @case '$?' in \
574           *config.status*) \
575             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
576           *) \
577             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
578             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
579         esac;
580 $(srcdir)/Makefile.sources $(am__empty):
581
582 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
583         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
584
585 $(top_srcdir)/configure:  $(am__configure_deps)
586         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
587 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
588         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
589 $(am__aclocal_m4_deps):
590
591 mostlyclean-libtool:
592         -rm -f *.lo
593
594 clean-libtool:
595         -rm -rf .libs _libs
596 tags TAGS:
597
598 ctags CTAGS:
599
600 cscope cscopelist:
601
602
603 # Recover from deleted '.trs' file; this should ensure that
604 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
605 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
606 # to avoid problems with "make -n".
607 .log.trs:
608         rm -f $< $@
609         $(MAKE) $(AM_MAKEFLAGS) $<
610
611 # Leading 'am--fnord' is there to ensure the list of targets does not
612 # expand to empty, as could happen e.g. with make check TESTS=''.
613 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
614 am--force-recheck:
615         @:
616
617 $(TEST_SUITE_LOG): $(TEST_LOGS)
618         @$(am__set_TESTS_bases); \
619         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
620         redo_bases=`for i in $$bases; do \
621                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
622                     done`; \
623         if test -n "$$redo_bases"; then \
624           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
625           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
626           if $(am__make_dryrun); then :; else \
627             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
628           fi; \
629         fi; \
630         if test -n "$$am__remaking_logs"; then \
631           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
632                "recursion detected" >&2; \
633         elif test -n "$$redo_logs"; then \
634           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
635         fi; \
636         if $(am__make_dryrun); then :; else \
637           st=0;  \
638           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
639           for i in $$redo_bases; do \
640             test -f $$i.trs && test -r $$i.trs \
641               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
642             test -f $$i.log && test -r $$i.log \
643               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
644           done; \
645           test $$st -eq 0 || exit 1; \
646         fi
647         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
648         ws='[   ]'; \
649         results=`for b in $$bases; do echo $$b.trs; done`; \
650         test -n "$$results" || results=/dev/null; \
651         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
652         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
653         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
654         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
655         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
656         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
657         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
658         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
659           success=true; \
660         else \
661           success=false; \
662         fi; \
663         br='==================='; br=$$br$$br$$br$$br; \
664         result_count () \
665         { \
666             if test x"$$1" = x"--maybe-color"; then \
667               maybe_colorize=yes; \
668             elif test x"$$1" = x"--no-color"; then \
669               maybe_colorize=no; \
670             else \
671               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
672             fi; \
673             shift; \
674             desc=$$1 count=$$2; \
675             if test $$maybe_colorize = yes && test $$count -gt 0; then \
676               color_start=$$3 color_end=$$std; \
677             else \
678               color_start= color_end=; \
679             fi; \
680             echo "$${color_start}# $$desc $$count$${color_end}"; \
681         }; \
682         create_testsuite_report () \
683         { \
684           result_count $$1 "TOTAL:" $$all   "$$brg"; \
685           result_count $$1 "PASS: " $$pass  "$$grn"; \
686           result_count $$1 "SKIP: " $$skip  "$$blu"; \
687           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
688           result_count $$1 "FAIL: " $$fail  "$$red"; \
689           result_count $$1 "XPASS:" $$xpass "$$red"; \
690           result_count $$1 "ERROR:" $$error "$$mgn"; \
691         }; \
692         {                                                               \
693           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
694             $(am__rst_title);                                           \
695           create_testsuite_report --no-color;                           \
696           echo;                                                         \
697           echo ".. contents:: :depth: 2";                               \
698           echo;                                                         \
699           for b in $$bases; do echo $$b; done                           \
700             | $(am__create_global_log);                                 \
701         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
702         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
703         if $$success; then                                              \
704           col="$$grn";                                                  \
705          else                                                           \
706           col="$$red";                                                  \
707           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
708         fi;                                                             \
709         echo "$${col}$$br$${std}";                                      \
710         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
711         echo "$${col}$$br$${std}";                                      \
712         create_testsuite_report --maybe-color;                          \
713         echo "$$col$$br$$std";                                          \
714         if $$success; then :; else                                      \
715           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
716           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
717             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
718           fi;                                                           \
719           echo "$$col$$br$$std";                                        \
720         fi;                                                             \
721         $$success || exit 1
722
723 check-TESTS:
724         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
725         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
726         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
727         @set +e; $(am__set_TESTS_bases); \
728         log_list=`for i in $$bases; do echo $$i.log; done`; \
729         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
730         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
731         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
732         exit $$?;
733 recheck: all 
734         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
735         @set +e; $(am__set_TESTS_bases); \
736         bases=`for i in $$bases; do echo $$i; done \
737                  | $(am__list_recheck_tests)` || exit 1; \
738         log_list=`for i in $$bases; do echo $$i.log; done`; \
739         log_list=`echo $$log_list`; \
740         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
741                 am__force_recheck=am--force-recheck \
742                 TEST_LOGS="$$log_list"; \
743         exit $$?
744 .tests.log:
745         @p='$<'; \
746         $(am__set_b); \
747         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
748         --log-file $$b.log --trs-file $$b.trs \
749         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
750         "$$tst" $(AM_TESTS_FD_REDIRECT)
751 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
752 @am__EXEEXT_TRUE@       @p='$<'; \
753 @am__EXEEXT_TRUE@       $(am__set_b); \
754 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
755 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
756 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
757 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
758
759 distdir: $(DISTFILES)
760         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
761         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
762         list='$(DISTFILES)'; \
763           dist_files=`for file in $$list; do echo $$file; done | \
764           sed -e "s|^$$srcdirstrip/||;t" \
765               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
766         case $$dist_files in \
767           */*) $(MKDIR_P) `echo "$$dist_files" | \
768                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
769                            sort -u` ;; \
770         esac; \
771         for file in $$dist_files; do \
772           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
773           if test -d $$d/$$file; then \
774             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
775             if test -d "$(distdir)/$$file"; then \
776               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
777             fi; \
778             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
779               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
780               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
781             fi; \
782             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
783           else \
784             test -f "$(distdir)/$$file" \
785             || cp -p $$d/$$file "$(distdir)/$$file" \
786             || exit 1; \
787           fi; \
788         done
789 check-am: all-am
790         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
791 check: check-am
792 all-am: Makefile
793 installdirs:
794 install: install-am
795 install-exec: install-exec-am
796 install-data: install-data-am
797 uninstall: uninstall-am
798
799 install-am: all-am
800         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
801
802 installcheck: installcheck-am
803 install-strip:
804         if test -z '$(STRIP)'; then \
805           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
806             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
807               install; \
808         else \
809           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
810             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
811             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
812         fi
813 mostlyclean-generic:
814         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
815         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
816         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
817
818 clean-generic:
819
820 distclean-generic:
821         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
822         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
823
824 maintainer-clean-generic:
825         @echo "This command is intended for maintainers to use"
826         @echo "it deletes files that may require special tools to rebuild."
827 clean: clean-am
828
829 clean-am: clean-generic clean-libtool mostlyclean-am
830
831 distclean: distclean-am
832         -rm -f Makefile
833 distclean-am: clean-am distclean-generic
834
835 dvi: dvi-am
836
837 dvi-am:
838
839 html: html-am
840
841 html-am:
842
843 info: info-am
844
845 info-am:
846
847 install-data-am:
848
849 install-dvi: install-dvi-am
850
851 install-dvi-am:
852
853 install-exec-am:
854
855 install-html: install-html-am
856
857 install-html-am:
858
859 install-info: install-info-am
860
861 install-info-am:
862
863 install-man:
864
865 install-pdf: install-pdf-am
866
867 install-pdf-am:
868
869 install-ps: install-ps-am
870
871 install-ps-am:
872
873 installcheck-am:
874
875 maintainer-clean: maintainer-clean-am
876         -rm -f Makefile
877 maintainer-clean-am: distclean-am maintainer-clean-generic
878
879 mostlyclean: mostlyclean-am
880
881 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
882
883 pdf: pdf-am
884
885 pdf-am:
886
887 ps: ps-am
888
889 ps-am:
890
891 uninstall-am:
892
893 .MAKE: check-am install-am install-strip
894
895 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
896         clean-libtool cscopelist-am ctags-am distclean \
897         distclean-generic distclean-libtool distdir dvi dvi-am html \
898         html-am info info-am install install-am install-data \
899         install-data-am install-dvi install-dvi-am install-exec \
900         install-exec-am install-html install-html-am install-info \
901         install-info-am install-man install-pdf install-pdf-am \
902         install-ps install-ps-am install-strip installcheck \
903         installcheck-am installdirs maintainer-clean \
904         maintainer-clean-generic mostlyclean mostlyclean-generic \
905         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
906         uninstall uninstall-am
907
908 .PRECIOUS: Makefile
909
910
911 # Convenience targets:
912 lib:
913         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
914
915 -include $(top_srcdir)/git.mk
916
917 # Tell versions [3.59,3.63) of GNU make to not export all variables.
918 # Otherwise a system limit (for SysV at least) may be exceeded.
919 .NOEXPORT: